Subject: [media-types] Application for Media-Type registration for application/did+ld+json

From: Ivan Herman <[email-masked]>
Date: Fri, 19 Feb 2021 16:16:59 +0100

Dear all,

The W3C Decentralized Identifier Working Group would like to register the media type application/did+json. The documentation is at:

https://w3c.github.io/did-core/#application-did-ld-json

which is part of a Recommendation Track document. See also the text format of the application details below.

We do know that this submission may be controversial, due to the subtype name. Note that we have initiated a discussion on this mailing list quite a while ago:

https://mailarchive.ietf.org/arch/msg/media-types/Sv8oT38p1nWHPYZQmnL_9GPjeic/

maybe this submission provides an additional reason to close that discussion with a positive outcome.	

Sincerely

Ivan Herman

- - -

Type name:
	application
Subtype name:
	did+ld+json
Required parameters:
	None
Optional parameters:
	None
Encoding considerations:
	See RFC 8259, section 11.
Security considerations:
	See JSON-LD 1.1, Security Considerations [JSON-LD11].
Interoperability considerations:
	Not Applicable
Published specification:
	http://www.w3.org/TR/did-core/
Applications that use this media type:
	Any application that requires an identifier that is decentralized,
	persistent, cryptographically verifiable, and resolvable. Applications typically
	consist of cryptographic identity systems, decentralized networks of devices, and 	websites that issue or verify W3C Verifiable Credentials.
Additional Information
	Magic number(s):
		Not Applicable
	File extension(s):
		.did
	Macintosh file type code(s):
		TEXT
Person & email address to contact for further information:
	Ivan Herman <[email-masked]>
Intended usage:
	Common
Restrictions on usage:
	None
Author(s):
	Drummond Reed, Manu Sporny, Markus Sabadello, Dave Longley, Christopher Allen
Change controller:
	W3C

Fragment identifiers used with application/did+ld+json are treated according to the rules associated with the JSON-LD 1.1: application/ld+json media type.

----
Ivan Herman, W3C 
Home: http://www.w3.org/People/Ivan/
mobile: +33 6 52 46 00 43
ORCID ID: https://orcid.org/0000-0003-0782-2704

---

From: Ivan Herman <[email-masked]>
Date: Fri, 19 Feb 2021 17:00:49 +0100

> On 19 Feb 2021, at 16:16, Ivan Herman <[email-masked]> wrote:
> 
> Dear all,
> 
> The W3C Decentralized Identifier Working Group would like to register the media type application/did+json.

Doh. This should have said application/did+ld+json (the rest of the submission is the right one).

Again, apologies

Ivan Herman

> The documentation is at:

----
Ivan Herman, W3C